commit:     1d5d25a78eb1981658d579de21f8569a4da58210
Author:     soredake <fdsfgs <AT> krutt <DOT> org>
AuthorDate: Sun May 28 17:48:11 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue May 30 21:25:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d5d25a7

media-video/syncplay: add live version.

Closes: https://github.com/gentoo/gentoo/pull/4787

 media-video/syncplay/syncplay-9999.ebuild | 60 +++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/media-video/syncplay/syncplay-9999.ebuild 
b/media-video/syncplay/syncplay-9999.ebuild
new file mode 100644
index 00000000000..eec07d40d08
--- /dev/null
+++ b/media-video/syncplay/syncplay-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit git-r3 python-r1
+
+MY_PV=${PV/_rc/-RC}
+
+DESCRIPTION="Client/server to synchronize media playback"
+HOMEPAGE="http://syncplay.pl";
+EGIT_REPO_URI="https://github.com/Syncplay/${PN}.git";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+client +server gui vlc"
+REQUIRED_USE="vlc? ( client )
+       gui? ( client )
+       ${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+RDEPEND="${PYTHON_DEPS}
+       || (
+               >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+               dev-python/twisted-core[${PYTHON_USEDEP}]
+       )
+       gui? ( dev-python/pyside[${PYTHON_USEDEP}] )
+       vlc? ( media-video/vlc[lua] )"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+       default
+       if ! use gui; then
+               sed -i 's/"noGui": False,/"noGui": True,/' \
+                       syncplay/ui/ConfigurationGetter.py \
+               || die "Failed to patch ConfigurationGetter.py"
+       fi
+}
+
+src_compile() {
+       :
+}
+
+src_install() {
+       local MY_MAKEOPTS=( DESTDIR="${D}" PREFIX=/usr )
+       use client && \
+               emake "${MY_MAKEOPTS[@]}" VLC_SUPPORT=$(usex vlc true false) 
install-client
+       use server && \
+               emake "${MY_MAKEOPTS[@]}" install-server
+}
+
+pkg_postinst() {
+       if use client; then
+               einfo "Syncplay supports the following players:"
+               einfo "media-video/mpv, media-video/mplayer2, media-video/vlc"
+       fi
+}

Reply via email to